<?xml version="1.0" encoding="utf-8"?>
<!--
 * AGP Config
 * all AGP states definitions at here.
 -->
<Config>
    <!-- dynamic fps config: max 90|120|144 Hz -->
    <Params name="dynamic_fps_config" value="1">
        <!-- size equals to number of choices in setting
         * code values:
           0: disable, unused
           1: force_30   2: force_60   3: force_90
           4: force_120  5: force_144
           9: dynamic_60_90 10: dynamic_60_120 21: dynamic_screen_factor_60_90
           22: dynamic_screen_factor_60_120
         -->
        <Param name="setting_config">
            <setting id="0" value="2">
                <switch name="app_default" value="2"/>
                <switch name="game_default" value="2"/>
            </setting>

            <setting id="1" value="3">
                <switch name="app_default" value="3"/>
                <switch name="game_default" value="9"/>

                <switch name="scene_pkg_list">
                    <scene_pkg name="IME" value="3" code="1"/>
                    <scene_pkg name="BACK_LAUNCHER" value="3" code="3"/>
                    <scene_pkg name="APP_START_ANIMATION" value="3" code="2"/>
                    <scene_pkg name="APP_BACK_ANIMATION" value="3" code="3"/>
                    <scene_pkg name="UNLOCK_INTO_LAUNCHER" value="3" code="2"/>
                    <scene_pkg name="MULTI_TASKING" value="3" code="3"/>
                    <scene_pkg name="video" value="2" code="2"/>
                    <scene_pkg name="audio" value="2" code="2"/>
                    <scene_pkg name="camera" value="2" code="2"/>
                    <scene_pkg name="H_QS" value="3" code="2"/>
                    <scene_pkg name="H_LT" value="3" code="2"/>
                    <scene_pkg name="H_FH" value="3" code="3"/>
                    <scene_pkg name="TRANSIT_ACTIVITY" value="3" code="1"/>
                </switch>

                <switch name="app_type_list">
                    <type name="3" value="2"/>
                    <type name="8" value="2"/>
                    <type name="17" value="2"/>
                    <type name="21" value="2"/>
                    <type name="25" value="2"/>
                    <type name="30" value="2"/>
                    <type name="36" value="2"/>
                </switch>

                <switch name="app_pkg_list">
                    <pkg name="com.taobao.live4anchor" value="3"/>
                    <pkg name="com.huawei.himovie" value="3"/>
                    <pkg name="com.UCMobile" value="2"/>
                    <pkg name="com.Qunar" value="2"/>
                    <pkg name="com.sohu.newsclient" value="2"/>
                    <pkg name="com.moji.mjweather" value="2"/>
                    <pkg name="cmb.pb" value="2"/>
                    <pkg name="com.iflytek.inputmethod" value="2"/>
                    <pkg name="com.tencent.weishi" value="2"/>
                    <pkg name="com.icbc.im" value="2"/>
                    <pkg name="com.pingan.lifeinsurance" value="2"/>
                    <pkg name="com.taobao.trip" value="2"/>
                    <pkg name="com.cmbchina.ccd.pluto.cmbActivity" value="2"/>
                    <pkg name="com.jifen.qukan" value="2"/>
                    <pkg name="com.bankcomm.maidanba" value="2"/>
                    <pkg name="com.tencent.qt.qtl" value="2"/>
                    <pkg name="com.jzzs.ParentsHelper" value="2"/>
                    <pkg name="com.pingan.carowner" value="2"/>
                    <pkg name="com.taobao.mobile.dipei" value="2"/>
                    <pkg name="com.sohu.inputmethod.sogou" value="2"/>
                    <pkg name="com.ygkj.chelaile.standard" value="2"/>
                    <pkg name="com.pingan.paces.ccms" value="2"/>
                    <pkg name="com.qq.reader" value="2"/>
                    <pkg name="com.baidu.appsearch" value="2"/>
                    <pkg name="com.baidu.input" value="2"/>
                    <pkg name="com.mfw.roadbook" value="2"/>
                    <pkg name="com.jsmcc" value="2"/>
                    <pkg name="com.yek.android.kfc.activitys" value="2"/>
                    <pkg name="cn.TuHu.android" value="2"/>
                    <pkg name="com.wm.dmall" value="2"/>
                    <pkg name="com.taobao.litetao" value="2"/>
                    <pkg name="com.ss.android.auto" value="2"/>
                    <pkg name="com.jxedt" value="2"/>
                    <pkg name="com.kaola" value="2"/>
                    <pkg name="com.yiche.price" value="2"/>
                    <pkg name="com.netease.edu.ucmooc" value="2"/>
                    <pkg name="com.koudai.weidian.buyer" value="2"/>
                    <pkg name="com.ebank.creditcard" value="2"/>
                    <pkg name="cn.damai" value="2"/>
                    <pkg name="com.wochacha" value="2"/>
                    <pkg name="com.yaya.zone" value="2"/>
                    <pkg name="com.qiyi.video.reader" value="2"/>
                    <pkg name="com.huodao.hdphone" value="2"/>
                    <pkg name="com.xueersi.parentsmeeting" value="2"/>
                    <pkg name="com.tencent.djcity" value="2"/>
                    <pkg name="cn.mama.pregnant" value="2"/>
                    <pkg name="com.zl.fqbao" value="2"/>
                    <pkg name="com.peopledailychina.activity" value="2"/>
                    <pkg name="com.wifi.reader.free" value="2"/>
                    <pkg name="com.netease.yanxuan" value="2"/>
                    <pkg name="com.wifi.reader" value="2"/>
                    <pkg name="com.huawei.hwireader" value="2"/>
                    <pkg name="com.android.incallui" value="2"/>					
                    <pkg name="com.ss.android.ugc.aweme" value="2"/>
                    <pkg name="com.smile.gifmaker" value="2"/>
                    <pkg name="com.baidu.BaiduMap" value="2"/>
                    <pkg name="com.autonavi.minimapp" value="2"/>
                    <pkg name="com.netease.cloudmusic" value="2"/>
                    <pkg name="com.kugou.android" value="9"/>
                    <pkg name="com.xunmeng.pinduoduo" value="9"/>
                    <pkg name="com.sankuai.meituan" value="9"/>
                    <pkg name="com.achievo.vipshop" value="9"/>
                    <pkg name="com.tmall.wireless" value="9"/>
                    <pkg name="cn.wps.moffice_eng" value="9"/>
                    <pkg name="com.baidu.netdisk" value="9"/>
                    <pkg name="com.icbc" value="9"/>
                    <pkg name="me.ele" value="9"/>
                    <pkg name="ctrip.android.view" value="9"/>
                    <pkg name="com.ximalaya.ting.android" value="9"/>
                    <pkg name="com.tencent.qqmusic" value="9"/>
                </switch>

                <switch name="game_pkg_list">
                    <pkg name="com.tencent.tmgp.speedmobile" value="2"/>
                    <pkg name="com.t2ksports.nba2k19and" value="2"/>
                    <pkg name="com.protopop.brightridge" value="2"/>
                    <pkg name="com.miHoYo.bh3.bilibili" value="2"/>
                    <pkg name="com.miHoYo.bh3.huawei" value="2"/>
                    <pkg name="com.miHoYo.bh3.qihoo" value="2"/>
                    <pkg name="com.miHoYo.bh3.uc" value="2"/>
                    <pkg name="com.miHoYo.bh3global" value="2"/>
                    <pkg name="com.miHoYo.bh3tw" value="2"/>
                    <pkg name="com.miHoYo.enterprise.NGHSoD" value="2"/>
                    <pkg name="com.tencent.tmgp.bh3" value="2"/>
                    <pkg name="com.protopop.brightridge" value="2"/>
                    <pkg name="com.t2ksports.nba2k19and" value="2"/>
                    <pkg name="com.t2ksports.nba2k20and" value="2"/>
                </switch>
            </setting>

            <setting id="2" value="3">
                <switch name="app_default" value="2"/>
                <switch name="game_default" value="2"/>

                <switch name="scene_pkg_list">
                    <scene_pkg name="IME" value="3" code="1"/>
                    <scene_pkg name="BACK_LAUNCHER" value="3" code="3"/>
                    <scene_pkg name="APP_START_ANIMATION" value="3" code="2"/>
                    <scene_pkg name="APP_BACK_ANIMATION" value="3" code="3"/>
                    <scene_pkg name="UNLOCK_INTO_LAUNCHER" value="3" code="2"/>
                    <scene_pkg name="MULTI_TASKING" value="3" code="3"/>
                    <scene_pkg name="video" value="2" code="2"/>
                    <scene_pkg name="audio" value="2" code="2"/>
                    <scene_pkg name="camera" value="2" code="2"/>
                    <scene_pkg name="H_QS" value="3" code="2"/>
                    <scene_pkg name="H_LT" value="3" code="2"/>
                    <scene_pkg name="H_FH" value="3" code="3"/>
                    <scene_pkg name="TRANSIT_ACTIVITY" value="3" code="1"/>
                </switch>

                <switch name="app_type_list">
                </switch>

                <switch name="app_pkg_list">
                    <pkg name="com.huawei.browser" value="2"/>
                    <pkg name="com.huawei.ohos.famanager" value="2"/>
                    <pkg name="com.UCMobile" value="2"/>
                    <pkg name="com.huawei.works" value="9"/>
                    <pkg name="com.huawei.android.launcher" value="9"/>
                    <pkg name="com.android.settings" value="9"/>
                    <pkg name="com.android.contacts" value="9"/>
                    <pkg name="com.huawei.contacts" value="9"/>
                    <pkg name="com.android.mms" value="9"/>
                    <pkg name="com.tencent.mm" value="9"/>
                    <pkg name="com.huawei.photos" value="9"/>
                    <pkg name="com.android.gallery3d" value="9"/>
                    <pkg name="com.huawei.appmarket" value="9"/>
                    <pkg name="com.huawei.calendar" value="2"/>
                    <pkg name="com.android.calendar" value="2"/>
                    <pkg name="com.huawei.deskclock" value="2"/>
                    <pkg name="com.android.deskclock" value="2"/>
                    <pkg name="com.eg.android.AlipayGphone" value="9"/>
                    <pkg name="com.huawei.filemanager" value="2"/>
                    <pkg name="com.huawei.android.totemweather" value="9"/>
                    <pkg name="com.tencent.mobileqq" value="2"/>
                    <pkg name="com.huawei.notepad" value="2"/>
                    <pkg name="com.example.android.notepad" value="2"/>
                    <pkg name="com.huawei.health" value="2"/>
                    <pkg name="com.sankuai.meituan" value="9"/>
                    <pkg name="com.ss.android.article.news" value="9"/>
                    <pkg name="com.huawei.android.tips" value="2"/>
                    <pkg name="com.huawei.meetime" value="9"/>
                    <pkg name="com.android.documentsui" value="9"/>
                    <pkg name="com.android.email" value="9"/>
                    <pkg name="com.huawei.email" value="9"/>
                    <pkg name="com.snda.wifilocating" value="9"/>
                    <pkg name="com.wuba" value="9"/>
                    <pkg name="com.chinamworld.main" value="9"/>
                    <pkg name="com.tencent.news" value="9"/>
                    <pkg name="com.tmri.app.main" value="9"/>
                    <pkg name="com.qq.reader" value="9"/>
                    <pkg name="com.microsoft.office.officehub" value="9"/>
                    <pkg name="com.tencent.androidqqmail" value="9"/>
                    <pkg name="com.chinamworld.bocmbci" value="9"/>
                    <pkg name="me.ele" value="9"/>
                    <pkg name="com.sankuai.meituan.takeoutnew" value="2"/>
                    <pkg name="com.unionpay" value="9"/>
                    <pkg name="com.tencent.wework" value="9"/>
                    <pkg name="com.shizhuang.duapp" value="9"/>
                    <pkg name="com.baidu.homework" value="9"/>
                    <pkg name="com.huawei.fans" value="9"/>
                    <pkg name="com.ss.android.article.lite" value="9"/>
                    <pkg name="com.yitong.mbank.psbc" value="9"/>
                    <pkg name="com.wifi.key" value="9"/>
                    <pkg name="com.gotokeep.keep" value="9"/>
                    <pkg name="com.jd.jrapp" value="9"/>
                    <pkg name="com.immomo.momo" value="9"/>
                    <pkg name="com.alibaba.wireless" value="9"/>
                    <pkg name="com.chaoxing.mobile" value="9"/>
                    <pkg name="com.handsgo.jiakao.android" value="9"/>
                    <pkg name="com.tencent.gamehelper.smoba" value="9"/>
                    <pkg name="com.anjuke.android.app" value="9"/>
                    <pkg name="com.suning.mobile.ebuy" value="9"/>
                    <pkg name="com.taptap" value="9"/>
                    <pkg name="cn.gov.tax.its" value="9"/>
                    <pkg name="com.bankcomm.Bankcomm" value="9"/>
                    <pkg name="com.chinatelecom.bestpayclient" value="9"/>
                    <pkg name="com.intsig.camscanner" value="9"/>
                    <pkg name="com.hpbr.bosszhipin" value="9"/>
                    <pkg name="com.yiban.app" value="9"/>
                    <pkg name="com.kuaikan.comic" value="9"/>
                    <pkg name="com.readboy.smartwatch" value="9"/>
                    <pkg name="com.yiche.autoeasy" value="9"/>
                    <pkg name="com.vivo.easyshare" value="9"/>
                    <pkg name="com.tencent.transfer" value="9"/>
                    <pkg name="com.qihoo.appstore" value="9"/>
                    <pkg name="com.lu.ashionweather" value="9"/>
                    <pkg name="com.tianqiyubao2345" value="9"/>
                    <pkg name="com.mobiletool.appstore" value="9"/>
                    <pkg name="com.wisedu.cpdaily" value="9"/>
                    <pkg name="com.fenbi.android.solar" value="9"/>
                    <pkg name="com.a17zuoye.mobile.homework" value="9"/>
                    <pkg name="com.yipiao" value="9"/>
                    <pkg name="com.example.businesshall" value="9"/>
                    <pkg name="com.sina.news" value="9"/>
                    <pkg name="com.hexin.plat.android" value="9"/>
                    <pkg name="com.gstarmc.lite" value="9"/>
                    <pkg name="cn.xiaochuankeji.tieba" value="9"/>
                    <pkg name="com.able.wisdomtree" value="9"/>
                    <pkg name="com.hyww.wisdomtree" value="9"/>
                    <pkg name="com.taobao.etao" value="9"/>
                    <pkg name="com.glodon.drawingexplorer" value="9"/>
                    <pkg name="com.qzone" value="9"/>
                    <pkg name="com.netease.newsreader.activity" value="9"/>
                    <pkg name="com.eastmoney.android.berlin" value="9"/>
                    <pkg name="com.baidu.wenku" value="9"/>
                    <pkg name="com.ifeng.news2" value="9"/>
                    <pkg name="com.shark.jizhang" value="9"/>
                    <pkg name="com.mymoney" value="9"/>
                    <pkg name="com.netease.mobimail" value="9"/>
                    <pkg name="com.microsoft.office.word" value="9"/>
                    <pkg name="com.microsoft.office.excel" value="9"/>
                    <pkg name="com.youdao.note" value="9"/>
                    <pkg name="com.ziroom.ziroomcustomer" value="9"/>
                    <pkg name="cn.dxy.idxyer" value="9"/>
                    <pkg name="com.HaoTuBang.H3DBodyFree" value="9"/>
                    <pkg name="cn.dxy.medicinehelper" value="9"/>
                    <pkg name="com.qp333.car" value="9"/>
                    <pkg name="com.huawei.welink" value="9"/>
                    <pkg name="com.android.incallui" value="2"/>					
                    <pkg name="com.ss.android.ugc.aweme" value="2"/>
                    <pkg name="com.smile.gifmaker" value="2"/>
                    <pkg name="com.baidu.BaiduMap" value="2"/>
                    <pkg name="com.autonavi.minimapp" value="2"/>
                    <pkg name="com.netease.cloudmusic" value="2"/>
                    <pkg name="com.kugou.android" value="9"/>    
                    <pkg name="com.huawei.android.hwaps.audio.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.camera.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.reading.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.fullscreenvideo.*" value="2"/>
                    <pkg name="com.xunmeng.pinduoduo" value="9"/>
                    <pkg name="com.achievo.vipshop" value="9"/>
                    <pkg name="com.tmall.wireless" value="9"/>
                    <pkg name="cn.wps.moffice_eng" value="9"/>
                    <pkg name="com.baidu.netdisk" value="9"/>
                    <pkg name="com.icbc" value="9"/>
                    <pkg name="ctrip.android.view" value="9"/>
                    <pkg name="com.ximalaya.ting.android" value="9"/>
                    <pkg name="com.tencent.qqmusic" value="9"/>
                    <pkg name="com.huawei.intelligent" value="9"/>
                </switch>

                <switch name="game_pkg_list">				
                    <pkg name="com.tencent.tmgp.speedmobile" value="9"/>
                    <pkg name="com.tencent.tmgp.sgame" value="9"/>
                    <pkg name="com.tencent.tmgp.sgamece" value="9"/>
                    <pkg name="com.tencent.tmgp.pubgmhd" value="9"/>
                </switch>
            </setting>

        </Param>

        <Param name="forbid_api_setFrameRate_config" value="1">
            <switch name="priority" value="1"/>
            <switch name="app_pkg_black_list">
                <pkg name="com.quark.browser"/>
                <pkg name="com.tencent.mobileqq"/>
                <pkg name="com.ss.android.article.video"/>
                <pkg name="com.huawei.android.hwaps.camera.*"/>
                <pkg name="com.huawei.android.hwaps.audio.*"/>
                <pkg name="com.huawei.android.hwaps.fullscreenvideo.*"/>
            </switch>
        </Param>

        <!-- setting default value -->
        <Param name="setting_refresh_default_id" value="2"/>

        <!-- external switch -->
        <Param name="support_power_mode_switch" value="1"/>
        <Param name="support_cota_update_switch" value="1"/>
        <Param name="support_early_idle_switch" value="1"/>
        <Param name="support_pointer_location_switch" value="1"/>
        <Param name="support_display_hotplug_switch" value="1"/>

        <Param name="support_wechat_video_scene_switch" value="1"/>
        <Param name="support_navi_motion_switch" value="1"/>
        <Param name="support_cts_test_switch" value="1"/>
        <Param name="support_fingerprint_switch" value="1" code="2"/>
        <Param name="support_news_video_drop_switch" value="0"/>
        <Param name="multi_app_lcd_freq_switch" value="1"/>
        <Param name="launcher_scene_delay_config" value="370"/>

        <Param name="support_virtual_display_switch" value="1">
            <exclude name="flutter-vd"/>
        </Param>

        <Param name="high_freq_surfacetexture_config" value="1">
            <pkg name="com.eg.android.AlipayGphone"/>
        </Param>

        <Param name="SF_composition_config">
            <sf_param name="switch" value="1"/>
            <sf_param name="sf_accum_time" value="5"/>
            <sf_param name="sf_accum_count" value="20"/>
            <sf_param name="app_penalty_time" value="60"/>
            <sf_param name="app_penalty_count" value="1"/>
        </Param>

        <Param name="app_dynamic_strategy_config">
            <config_param name="max_wait_idle_period" value="3000"/>
            <config_param name="check_refresh_idle_period" value="200"/>
            <config_param name="refresh_idle_period" value="500"/>
        </Param>

        <Param name="screen_factor_config">
            <config_param name="screen_factor_switch" value="1"/>
            <config_param name="activity_jump_switch" value="0"/>
            <config_param name="screen_brightness_threshold" value="200"/>
            <config_param name="ambient_light_threshold" value="300"/>
            <config_param name="ambient_dynamic_value" value="20"/>
        </Param>

        <Param name="intelligent_lowfps_config">
            <config_param name="intelligent_lowfps_switch" value="1"/>
        </Param>

        <!-- for game -->
        <Param name="game_fps_mode_switch" value="4"/>
        <Param name="game_main_layers_config">
        </Param>

        <!-- high freq slide model -->
        <Param name="high_freq_smart_slide_model_config">
            <slide_param name="switch" value="1"/>
            <slide_param name="low_velocity_friction_gain" value="0.6"/>
            <slide_param name="low_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="medium_velocity_level" value="5000.0"/>
            <slide_param name="medium_velocity_friction_gain" value="0.6"/>
            <slide_param name="medium_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="high_velocity_level" value="15000.0"/>
            <slide_param name="high_velocity_friction_gain" value="0.6"/>
            <slide_param name="high_velocity_init_velocity_gain" value="0.8"/>
        </Param>

        <!-- partical compose -->
        <Param name="partical_compose_threshold_config">
            <cfg_param name="switch" value="1"/>
            <cfg_param name="high_freq_compose_threshold" value="5"/>
        </Param>

        <!-- setting FF_solution switch value -->
        <Param name="FF_solution_switch" value="0"/>

        <!-- setting FF_solution uniform config value -->
        <Param name="frame_flow_config">
            <conf name="AI_Schedule" value="1"/>
            <conf name="Debug_DrawDepth" value="0"/>
            <conf name="Debug_DrawStencil" value="0"/>
            <conf name="Debug_DrawObjectID" value="0"/>
            <conf name="Debug_DrawDynamicReproject" value="0"/>
            <conf name="Debug_DrawMotionVectors" value="0"/>
            <conf name="Debug_DrawText" value="0"/>
            <conf name="Debug_FrameDump" value="0"/>
            <conf name="Debug_FrameDumpCount" value="5"/>
            <conf name="Debug_ExplainLevelChanges" value="0"/>
            <conf name="FpsLogInterval" value="30"/>
            <conf name="FpsThreshold" value="60"/>
            <conf name="Game_Boost" value="1"/>
            <conf name="Limit_FPS_By_APS" value="1"/>
            <conf name="USBDebugAllowed" value="0"/>
        </Param>

        <!-- setting FF_solution pubg game config value -->
        <Param name="frame_flow_pubg_config" value="1">
            <conf name="Game_Version" value="1.15"/>
            <conf name="Draw_CSM_Overlay" value="0"/>
            <conf name="GFX_DynShadows" value="0"/>
            <conf name="PredictionAllowed_DriveModeOnly" value="1"/>
            <conf name="PredictionAllowed_ThirdPersonOnly" value="1"/>
            <conf name="DriveModeDist" value="350.0"/>
            <conf name="FirstPersonDist" value="95.0"/>
            <conf name="AirplaneHeight" value="100000.0"/>
            <conf name="AirplaneMinDistanceToDynamic" value="3000.0"/>
            <conf name="Rotation_AngleLimit" value="90.0"/>
            <conf name="Camera_LinearMoveLimit" value="315.0"/>
            <conf name="Fix_Overshooting" value="0"/>
            <conf name="Save_Unexpected_Shader" value="1"/>
            <conf name="Wait_Down_Delay" value="3"/>
            <conf name="Wait_Top_Delay" value="14"/>
            <conf name="Log_Statistics" value="0"/>
            <conf name="DoExtrapolation" value="0"/>
            <conf name="Statistics_Period_Seconds" value="5"/>
            <conf name="PredictionAllowed_MSAA_ON" value="1"/>
            <conf name="PredictionAllowed_MSAA_OFF" value="1"/>
            <conf name="PredictionAllowed_Shadows_ON" value="1"/>
            <conf name="PredictionAllowed_Shadows_OFF" value="1"/>
            <conf name="PredictionAllowed_FPS_20" value="0"/>
            <conf name="PredictionAllowed_FPS_25" value="0"/>
            <conf name="PredictionAllowed_FPS_30" value="0"/>
            <conf name="PredictionAllowed_FPS_40" value="0"/>
            <conf name="PredictionAllowed_FPS_60" value="1"/>
            <conf name="PredictionAllowed_FPS_90" value="1"/>
            <conf name="PredictionAllowed_FPS_120" value="1"/>
            <conf name="PredictionAllowed_Quality_Low" value="1"/>
            <conf name="PredictionAllowed_Quality_Med" value="0"/>
            <conf name="PredictionAllowed_Quality_High" value="0"/>
            <conf name="PredictionAllowed_Quality_HDR" value="1"/>
            <conf name="PredictionAllowed_Quality_Extreme" value="0"/>
            <conf name="PredictionAllowed_Quality_Ultra" value="0"/>
            <conf name="PredictionAllowed_Style_Classic" value="1"/>
            <conf name="PredictionAllowed_Style_Colorful" value="0"/>
            <conf name="PredictionAllowed_Style_Realistic" value="0"/>
            <conf name="PredictionAllowed_Style_Soft" value="0"/>
            <conf name="PredictionAllowed_Style_Movie" value="0"/>
            <!-- outdoor detection related params -->
            <conf name="OutdoorBinThreshold_0" value="0.00125"/>
            <conf name="OutdoorBinThreshold_1" value="0.0025"/>
            <conf name="OutdoorNearDynamicThreshold" value="0.001"/>
            <conf name="OutdoorControlValue_0" value="0.0089"/>
            <conf name="OutdoorControlValue_1" value="0.1339"/>
            <conf name="OutdoorControlValue_2" value="0.8572"/>
            <conf name="OutdoorActiveCheckPeriodMs" value="300"/>
            <conf name="OutdoorPassiveCheckPeriodMs" value="1500"/>

            <!-- Possible values:
                 Airplane
                 Always
                 DrivingMode
                 SkinnedNear
                 MarineMode
                 Never
                 Outdoor
                 SniperSight
                 ThirdPersonMode
                 ThrowLine -->
            <conf name="Scenario" value="!SniperSight && !Airplane && !MarineMode && !ThrowLine && ThirdPersonMode && (DrivingMode || Outdoor)"/>
            <conf name="TeamActivityModeAllowed" value="0"/>
            <conf name="DynamicReprojectUnderflowSetback" value="90"/>
            <conf name="ObjectIDMaskAlwaysAggregateCharacterObjects" value="0"/>
            <conf name="ObjectIDMaskAlwaysAggregateMainCharacter" value="1"/>
            <conf name="ObjectIDMaskOverrideMainCharacterForNonSkinnedMeshes" value="0"/>
            <conf name="ObjectIDMaskOverrideMainCharacterForNonSkinnedMeshesDriveMode" value="1"/>
            <conf name="ObjectIDMaskAutoSwitchModeOnOverflow" value="0"/>
            <conf name="ObjectIDMaskOverflowSetbackFrames" value="512"/>
            <!-- Possible values:
                 default - grid based
                 rspp - reverse search (per-pixel)
                 cb2pp - 2 pass compute-based (per-pixel)
                 cb3pp - 3 pass compute-based (per-pixel)
            -->
            <conf name="FramePredictionAlgorithm" value="default"/>
        </Param>
        <!-- setting FF_solution cod game config value -->
        <Param name="frame_flow_cod_config" value="0">
        </Param>

        <!-- setting FF_solution brightridge game config value -->
        <Param name="frame_flow_brightridge_config" value="1">
        </Param>
        <!-- setting FF_solution genshin game config value -->
        <Param name="frame_flow_genshin_config" value="1">
            <conf name="Camera_LinearMoveLimit" value="1.0"/>
            <conf name="Camera_PostionHeightDiff" value="0.12"/>
            <conf name="Rotation_AngleLimit" value="10.0"/>
            <conf name="GFX_DynShadows" value="0"/>
            <conf name="Wait_Down_Delay" value="6"/>
            <!-- width and height value is device specific -->
            <conf name="HighResolutionMainPassWidth" value="1440"/>
            <conf name="HighResolutionMainPassHeight" value="664"/>
            <conf name="MediumResolutionMainPassWidth" value="1280"/>
            <conf name="MediumResolutionMainPassHeight" value="590"/>
            <conf name="FpsThreshold" value="45"/>
            <conf name="FramePredictionAlgorithm" value="default"/>
            <conf name="DoExtrapolation" value="0"/>
            <conf name="DynamicID" value="133"/>
            <conf name="NeedZRangeAdjust" value="1"/>
            <conf name="Game_Version_Dir" value="/files/Unity/local.2209d13a1b52a5848b7f7df6575639f7/Analytics/values"/>
            <conf name="Game_Version" value="2.1.0"/>
            <conf name="Enable_In_TAA_Mode_Only" value="0"/>
        </Param>
    </Params>


    <Params name="emui_screen_brighten_animation_config">
        <animation_param name="switch" value="1"/>
        <animation_param name="animation_duration" value="400"/>
        <animation_param name="animation_start_scale" value="0.88"/>
        <animation_param name="animation_max_blur_radius" value="15"/>
        <animation_param name="animation_mode" value="0"/>
    </Params>
    
    <Params name="itouch_adaptive_vsyncoffset_features">
        <Param name="vsyncoffset_switch" value="0"/>
    </Params>

    <Params name="emui_charging_animation_3d_config">
        <animation_param name="switch" value="0"/>
    </Params>

    <Params name="emui_agp_render_config">
        <render_param name="agp_render_switch" value="0"/>
        <render_param name="async_switch" value="0"/>
        <render_param name="async_all" value="0"/>
        <render_param name="async_virtual_display" value="1"/>
        <render_param name="async_hisight_pc" value="1"/>
        <render_param name="async_hisight_display" value="0"/>
        <render_param name="async_blur_layer" value="0"/>
        <render_param name="async_corner_radius" value="0"/>
        <render_param name="async_other" value="0"/>
        <render_param name="hfbc_switch" value="0"/>
        <render_param name="hfbc_virtual" value="0"/>
    </Params>

   <Params name="itouch_game_direct_report_list">
        <Param name="com.tencent.tmgp.sgame"/>
        <Param name="com.tencent.KiHan"/>
        <Param name="com.aligames.kuang.kybc.huawei"/>
        <Param name="com.tencent.tmgp.WePop"/>
        <Param name="com.netease.lztg"/>
        <Param name="com.tencent.af"/>
        <Param name="com.pandadastudio.ninjamustdie3.huawei"/>
        <Param name="com.kiloo.subwaysurf"/>
        <Param name="com.Sgame.yzr3.aligames"/>
        <Param name="com.tencent.tmgp.supercell.brawlstars"/>
        <Param name="com.netease.moba.aligames"/>
        <Param name="com.superevilmegacorp.game.nesh.huawei"/>
        <Param name="com.supercell.clashroyale.huawei"/>
        <Param name="com.netease.hyxd.huawei"/>
        <Param name="com.outfit7.talkingtomgoldrun.HUAWEI"/>
        <Param name="com.soulgame.slithersg.huawei"/>
        <Param name="com.wepie.snake.huawei"/>
    </Params>

    <Params name="itouch_tp_rate_list">
        <Param name="com.tencent.KiHan" value="5"/>
        <Param name="com.aligames.kuang.kybc.huawei" value="5"/>
        <Param name="com.tencent.tmgp.WePop" value="5"/>
        <Param name="com.netease.lztg" value="5"/>
        <Param name="com.tencent.af" value="5"/>
        <Param name="com.pandadastudio.ninjamustdie3.huawei" value="5"/>
        <Param name="com.kiloo.subwaysurf" value="5"/>
        <Param name="com.Sgame.yzr3.aligames" value="5"/>
        <Param name="com.tencent.tmgp.supercell.brawlstars" value="5"/>
        <Param name="com.netease.moba.aligames" value="5"/>
        <Param name="com.superevilmegacorp.game.nesh.huawei" value="5"/>
        <Param name="com.supercell.clashroyale.huawei" value="5"/>
        <Param name="com.netease.hyxd.huawei" value="5"/>
        <Param name="com.outfit7.talkingtomgoldrun.HUAWEI" value="5"/>
        <Param name="com.soulgame.slithersg.huawei" value="5"/>
        <Param name="com.wepie.snake.huawei" value="5"/>
        <Param name="com.tencent.tmgp.pubgmhd" value="5"/>
        <Param name="com.tencent.tmgp.sgame" value="5"/>
	<Param name="com.tencent.tmgp.cod" value="5"/>
        <Param name="com.tencent.tmgp.cf" value="2"/>
        <Param name="com.tencent.tmgp.speedmobile" value="2"/>
        <Param name="com.wepie.snake" value="2"/>
	 <Param name="com.huawei.app.direct.report.scene" value="5"/>
        <Param name="com.ztgame.bob" value="2"/>
        <Param name="com.mojang.minecraftpe" value="2"/>
        <Param name="com.netease.hyxd" value="2"/>
        <Param name="com.netease.dwrg" value="2"/>
        <Param name="com.tencent.tmgp.yongyong.mrzh" value="2"/>
        <Param name="com.netease.mrzh" value="2"/>
        <Param name="com.netease.mrzh.huawei" value="2"/>
        <Param name="com.netease.mrzh.bilibili" value="2"/>
        <Param name="com.miHoYo.Yuanshen" value="2"/>
        <Param name="com.miHoYo.ys.bilibili" value="2"/>
        <Param name="com.studiowildcard.wardrumstudios.ark" value="2"/>
        <Param name="com.protopop.brightridge" value="2"/>
        <Param name="com.tencent.tmgp.qqx5" value="2"/>
        <Param name="com.tencent.tmgp.bh3" value="2"/>
        <Param name="com.miHoYo.bh3.huawei" value="2"/>
        <Param name="com.miHoYo.bh3.bilibili" value="2"/>
        <Param name="com.miHoYo.enterprise.NGHSoD" value="2"/>
        <Param name="com.mobile.legends" value="2"/>
        <Param name="com.epicgames.fortnite" value="2"/>
        <Param name="com.netease.ko" value="2"/>
        <Param name="com.dts.freefireth" value="2"/>
        <Param name="com.garena.game.kgsam" value="2"/>
        <Param name="com.gameloft.android.ANMP.GloftA9HM" value="2"/>
        <Param name="com.garena.game.fctw" value="2"/>
        <Param name="com.ngame.allstar.eu" value="2"/>
        <Param name="com.tencent.forest" value="2"/>
    </Params>
    <Params name="ui_first_features">
        <Param name="launcher_smartslider_optimization_enable" value="1"/>
        <Param name="listview_smartslider_optimization_enable" value="0"/>
        <Param name="systemui_fastview_fast_response_enable" value="1"/>
        <Param name="settings_fastview_fast_response_enable" value="1"/>
    </Params>
    
    <Params name="emui_view_round_corner_config">
       <round_corner_param name="round_corner_type" value="1" />
       <round_corner_param name="round_corner_g2_param_a" value="2.0" />
       <round_corner_param name="round_corner_g2_param_b" value="1.1" />
       <round_corner_param name="support_app_list" value="com.huawei.notepad" />
       <round_corner_param name="support_app_list" value="com.huawei.calendar" />
       <round_corner_param name="support_app_list" value="com.android.settings" />
       <round_corner_param name="support_app_list" value="com.huawei.deskclock" />
       <round_corner_param name="support_app_list" value="com.huawei.smarthome" />
       <round_corner_param name="support_app_list" value="com.huawei.android.totemweather:ui" />
       <round_corner_param name="support_app_list" value="com.huawei.photos" />
       <round_corner_param name="support_app_list" value="com.huawei.appmarket" />
       <round_corner_param name="support_app_list" value="com.huawei.intelligent" />
       <round_corner_param name="support_app_list" value="com.android.systemui" />
    </Params>

    <Params name="whiteblock_config">
        <Param name="support_cota_update_switch" value="1"/>
        <Param name="send_idle_switch" value="1">
            <apps_param name="com.ss.android.article.news">
                <app_param name="switch" value="1"/>
                <app_param name='version' value="7.9-9.1"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.article.base.feature.feed.view.FeedCommonRecyclerView"/>
                </app_param>
            </apps_param>
            <apps_param name='com.taobao.taobao'>
                <app_param name="switch" value="1"/>
                <app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="9.16-10.12"/>
                <app_param name="views" value="">
                    <view_param name="com.taobao.tao.recommend3.container.NestedRecyclerView"/>
                    <view_param name="com.taobao.android.searchbaseframe.business.srp.list.uikit.PartnerRecyclerView"/>
                </app_param>
            </apps_param>
            <apps_param name='com.netease.newsreader.activity'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="74-87"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.ss.android.ugc.aweme'>
                <app_param name="switch" value="1"/>
		<app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="14.8-20.6"/>
                <app_param name="speed_threshold" value="19000:500"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.ugc.aweme.views.FpsRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.baidu.searchbox'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="12.9-12.9"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param> 
	    <apps_param name='com.kugou.android'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="10.4-10.4"/>
                <app_param name="views" value="">
                    <view_param name="com.kugou.common.widget.HScrollFixRecyclerView"/>
                    <view_param name="com.kugou.common.widget.recyclerview.KGCommRecyclerView"/>
                    <view_param name="com.kugou.common.widget.recyclerview.KGRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.ss.android.article.video'>
                <app_param name="switch" value="1"/>
                <app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="5.4-6.6"/>
                <app_param name="views" value="">
                    <view_param name="com.ixigua.profile.specific.usertab.view.UgcHomeRecyclerView"/>
                    <view_param name="com.ixigua.longvideo.feature.feed.widget.LVFeedPullRefreshRecyclerView"/>
                    <view_param name="com.ixigua.commonui.view.pullrefresh.FeedPullRefreshRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.tencent.news'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="6.4-6.4"/>
                <app_param name="views" value="">
                    <view_param name="com.tencent.news.ui.pullrefresh.PullRefreshRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.hunantv.imgo.activity'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="6.8-6.8"/>
                <app_param name="views" value="">
                    <view_param name="android.support.v7.widget.RecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.ss.android.ugc.live'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.0-11.0"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.ugc.live.widget.FixFlingRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.duowan.kiwi'>
                <app_param name="switch" value="1"/>
		<app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="8.10-8.10"/>
                <app_param name="views" value="">
                    <view_param name="com.duowan.kiwi.list.banner.RefreshHeaderRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.sina.weibo'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="12.5-12.5"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param>

			<apps_param name='com.eg.android.AlipayGphone'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="10.2-10.2"/>
                <app_param name="views" value="">
                    <view_param name="android.support.v7.widget.RecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.huawei.photos'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.0-11.0"/>
                <app_param name="views" value="">
                    <view_param name="com.huawei.gallery.ablumlist.widget.PhoneRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.xunmeng.pinduoduo'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="8.6-8.6"/>
                <app_param name="views" value="">
                    <view_param name="com.xunmeng.pinduoduo.widget.nested.OverFlingRecyclerView"/>
                </app_param>
            </apps_param>	
			<apps_param name='com.smile.gifmaker'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="10.3-10.3"/>
                <app_param name="views" value="">
                    <view_param name="com.yxcorp.gifshow.recycler.widget.NestedRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.kuaishou.nebula'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="10.3-10.3"/>
                <app_param name="views" value="">
                    <view_param name="com.yxcorp.gifshow.recycler.widget.NestedRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.ximalaya.ting.android'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="9.0-9.0"/>
                <app_param name="views" value="">
                    <view_param name="com.ximalaya.ting.android.main.view.FlingRecyclerView"/>
                    <view_param name="com.ximalaya.ting.android.main.view.RecyclerViewNoFocus"/>
                    <view_param name="com.ximalaya.ting.android.main.view.RecyclerViewCanDisallowIntercept"/>
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.tencent.karaoke'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="7.34-7.34"/>
                <app_param name="views" value="">
                    <view_param name=" com.tencent.karaoke.ui.recyclerview.BaseRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='tv.danmaku.bili'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="6.72-6.72"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.xingin.xhs'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="7.38-7.38"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.huawei.himovie'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="8.9-8.9"/>
                <app_param name="views" value="">
                    <view_param name="com.huawei.vswidget.recyclerview.dispatchtouchview.ReportDispatchTouchRecyclerView"/>
                    <view_param name=" com.huawei.uikit.phone.hwrecyclerview.widget.HwRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.mt.mtxx.mtxx'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="9.5-9.5"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                    <view_param name="com.meitu.mtcommunity.widget.loadMore.LoadMoreRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.meitu.meiyancamera'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="10.5-10.5"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                    <view_param name="com.meitu.myxj.widget.fastscroll.FastScrollRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.tencent.qqmusic'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.6-11.6"/>
                <app_param name="views" value="">
                    <view_param name="com.tencent.qqmusic.modular.module.musichall.views.recycler.CellRecyclerView"/>
                    <view_param name="com.tencent.qqmusic.modular.module.musichall.views.recycler.BlockRoomRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.huawei.music'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="12.11-12.11"/>
                <app_param name="views" value="">
                    <view_param name="com.huawei.music.widget.recyclerview.HwRecyclerViewEx"/>
                    <view_param name="com.huawei.ucd.widgets.uikit.HwRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.ss.android.auto'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="6.9-6.9"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.basicapi.framework.view.SuperRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='cn.TuHu.android'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="6.24-6.24"/>
                <app_param name="views" value="">
                    <view_param name="cn.TuHu.Activity.home.view.HomeCmsModularRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.lianjia.beike'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="2.78-2.78"/>
                <app_param name="views" value="">
                    <view_param name="com.bk.uilib.view.ParentRecyclerView"/>					 
                    <view_param name="com.homelink.content.home.view.MonitorChildRecyclerView"/>
                </app_param>
            </apps_param>	
			<apps_param name='com.wuba'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.3-11.3"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                    <view_param name="com.wuba.views.recyclerview.FeedRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.sankuai.meituan'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.9-11.9"/>
                <app_param name="views" value="">
                    <view_param name="com.sankuai.meituan.mbc.ui.nest.NestedRecyclerViewChild"/>
                    <view_param name="com.sankuai.waimai.rocks.page.view.NestedRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.dianping.v1'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.9-11.9"/>
                <app_param name="views" value="">
                    <view_param name="com.dianping.infofeed.container.HomeRecyclerView"/>
                    <view_param name="com.dianping.infofeed.container.base.FeedRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.dragon.read'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="5.3-5.3"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                    <view_param name="com.dragon.read.widget.FixRecyclerView"/>
                    <view_param name="com.dragon.read.widget.OnlyScrollRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.huawei.browser'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.1-11.1"/>
                <app_param name="views" value="">
                    <view_param name="com.huawei.feedskit.feedlist.view.infoflow.NewsRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.huawei.hwread.dz'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="9.1-9.1"/>
                <app_param name="views" value="">
                    <view_param name="com.huawei.reader.content.impl.bookstore.cataloglist.view.HorizontalRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.huawei.intelligent'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.0-11.0"/>
                <app_param name="views" value="">
                    <view_param name="com.huawei.intelligent.ui.widget.xrecyclerview.XRecyclerView"/>
                </app_param>
            </apps_param>
			<apps_param name='com.tencent.mm'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="8.0-8.0"/>
                <app_param name="views" value="">
                    <view_param name="com.tencent.mm.view.recyclerview.WxRecyclerView"/>
                </app_param>
            </apps_param>
        </Param> 
    </Params>

</Config>
